oracle.kv.mgmt.jmx

## Interface StorageNodeMXBean

-     public interface StorageNodeMXBean

  This MBean represents the Storage Node's operational parameters.
  Since:
    2.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAdminHttpPort()` Returns the http port used by the Admin Console web application.
    `int` | `getCapacity()` Returns the number of Replication Nodes that can be hosted on this Storage Node.
    `String` | `getHAHostname()` Returns the name of the network interface used for communication between Replication Nodes
    `String` | `getHaPortRange()` Returns the range of port numbers available for assigning to Replication Nodes that are hosted on this Storage Node.
    `String` | `getHostname()` Returns the name associated with the network interface on which this Storage Node's registry listens.
    `int` | `getLogFileCount()` Returns the number of log files that are kept.
    `int` | `getLogFileLimit()` Returns the maximum size of log files.
    `int` | `getMemoryMB()` Returns the amount of memory known to be available on this Storage Node, in megabytes.
    `String` | `getMountPoints()` Returns a list of file system mount points on which Replication Nodes can be deployed
    `int` | `getNumCPUs()` Returns the number of CPUs known to be available on this Storage Node.
    `int` | `getRegistryPort()` Returns the port number of the Storage Node's RMI registry.
    `String` | `getRootDirPath()` Returns the pathname of the store's root directory.
    `String` | `getServiceStatus()` Returns the reported service status of the Storage Node.
    `int` | `getSnId()` Returns the StorageNodeId number of this Storage Node.
    `String` | `getStoreName()` Returns the configured name of the store to which this Storage Node belongs.
    `boolean` | `isHostingAdmin()` Returns true if this Storage Node hosts an Admin instance.

- - ### Method Detail

    - #### getSnId

          int getSnId()

      Returns the StorageNodeId number of this Storage Node.

    - #### getServiceStatus

          String getServiceStatus()

      Returns the reported service status of the Storage Node.

    - #### isHostingAdmin

          boolean isHostingAdmin()

      Returns true if this Storage Node hosts an Admin instance.

    - #### getRootDirPath

          String getRootDirPath()

      Returns the pathname of the store's root directory.

    - #### getStoreName

          String getStoreName()

      Returns the configured name of the store to which this Storage Node belongs.

    - #### getHaPortRange

          String getHaPortRange()

      Returns the range of port numbers available for assigning to Replication Nodes that are hosted on this Storage Node. A port is allocated automatically from this range when a Replication Node is deployed.

    - #### getHAHostname

          String getHAHostname()

      Returns the name of the network interface used for communication between Replication Nodes

    - #### getRegistryPort

          int getRegistryPort()

      Returns the port number of the Storage Node's RMI registry.

    - #### getCapacity

          int getCapacity()

      Returns the number of Replication Nodes that can be hosted on this Storage Node.

    - #### getHostname

          String getHostname()

      Returns the name associated with the network interface on which this Storage Node's registry listens.

    - #### getLogFileLimit

          int getLogFileLimit()

      Returns the maximum size of log files.

    - #### getLogFileCount

          int getLogFileCount()

      Returns the number of log files that are kept.

    - #### getAdminHttpPort

          int getAdminHttpPort()

      Returns the http port used by the Admin Console web application.

    - #### getMemoryMB

          int getMemoryMB()

      Returns the amount of memory known to be available on this Storage Node, in megabytes.

    - #### getNumCPUs

          int getNumCPUs()

      Returns the number of CPUs known to be available on this Storage Node.

    - #### getMountPoints

          String getMountPoints()

      Returns a list of file system mount points on which Replication Nodes can be deployed

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.